<?php
##########################################
# ~ Разработка отдельных модулей ~~~~~~~ #
# ~ и написание скриптов на php (c)KoT ~ #
# ~ ICQ: 7675072 ~~~~~~~~~~~~~~~~~~~~~~~ #
# ~ Site: 4atlove.ru ~~~~~~~~~~~~~~~~~~~ #
# ~ E-mail: notefree@bk.ru ~~~~~~~~~~~~~ #
##########################################

require 'config.php';
$align = 'left';
$title = 'Магазин';
aut();
head();
who_add(0, 'enter');

$q = mysql_fetch_assoc(mysql_query("SELECT * FROM `setting` WHERE `ids` = '1'"));
$c_status = $q['c_status'];
$c_nick = $q['c_nick'];
$c_obiav = $q['c_obiav'];
$c_topic = $q['c_topic'];

$do = isset($_GET['do']) ? $_GET['do'] : NULL;
switch($do) {
default:
echo 'Дoбpo пoжaлoвaть в магазин, ' . $user['user'] . '!<br/>
      У вас постов ' . $user['posts'] . '<br/>
	  На эти посты вы можете купить:<br/>
	  
	  &raquo; <a href="us_shop?do=status">Личный статус</a> (' . $c_status . ')<br/>
	  &raquo; <a href="us_shop?do=nick">Новый ник</a> (' . $c_nick . ')<br/>
	  &raquo; <a href="us_shop?do=obiav">Объявление</a> (' . $c_obiav . ')<br/>
	  &raquo; <a href="us_shop?do=topic">Топик в комнате</a> (' . $c_topic . ')<br/>
	  &raquo; <a href="gifts/index">Подарок</a><br/>';
break;

case status:
if (isset($_POST['add'])) {
$st = trim(mysql_real_escape_string(htmlspecialchars($_POST['st'])));

echo (empty($st)) ? $err .= 'Вы не заполнили поле!<br/>' : '';
if ($user['posts'] < $c_status) $err .= 'Недостаточно постов!<br/>';

$st = mb_substr($st, 0, 20, 'UTF8');

if (empty($err)) {
$sql = "UPDATE `users` SET `status` = '$st', `posts` = `posts` - '$c_status' WHERE id = '$user[id]'";
if (mysql_query($sql)) echo 'Статус изменен!<br/>';
else echo 'Произошла ошибка...<br/>';
} else {
echo $err . '<br/>';
}
}

echo '<i>Смена статуса</i><br/>
      Ваш текущий статус: ' . $user['status'] . '<br/>
	  <form method="POST" action="us_shop?do=status">
	  <input type="text" name="st" value="Новый статус..."/>
	  <br/>
	  <input type="submit" name="add" value="Изменить"/>
	  </form>';
break;

case nick:
if (isset($_POST['add'])) {
$st = trim(mysql_real_escape_string(htmlspecialchars($_POST['st'])));

$pr = mysql_query("SELECT `id` FROM `users` WHERE `user` = '$st'");

if (empty($st)) $err .= 'Вы не заполнили поле!<br/>';
if ($user['posts'] < $c_nick) $err .= 'Недостаточно постов!<br/>';
if (mysql_num_rows($pr) != false) $err .= 'Этот ник уже занят!<br/>';

$st = mb_substr($st, 0, 20, 'UTF8');

if (empty($err)) {
$sql = "UPDATE `users` SET `user` = '$st', `posts` = `posts` - '$c_nick' WHERE `id` = '$user[id]'";
if (mysql_query($sql)) echo 'Ник изменен!<br/>';
else echo 'Произошла ошибка...<br/>';
} else {
echo $err . '<br/>';
}
}

echo '<i>Смена ника</i><br/>
      Ваш текущий ник: ' . $user['user'] . '<br/>
	  <form method="POST" action="us_shop?do=nick">
	  <input type="text" name="st" value="Новый ник..."/>
	  <br/>
	  <input type="submit" name="add" value="Изменить"/>
	  </form>';
break;

case obiav:
if (isset($_POST['add'])) {
$st = trim(mysql_real_escape_string(htmlspecialchars($_POST['st'])));

if (empty($st)) $err .= 'Вы не заполнили поле!<br/>';
if ($user['posts'] < $c_obiav) $err .= 'Недостаточно постов!<br/>';

$st = mb_substr($st, 0, 20, 'UTF8');

if (empty($err)) {
$Count = mysql_result(mysql_query("SELECT COUNT(*) FROM `rooms`"), 0);
for ($num = 0; $num <= $Count; $num++) {
mysql_query("INSERT INTO `message` SET `rm` = '$num', `user` = '$user[user]', `user_id` = '$user[id]', `time` = '$time', `msg` = '$st'");
}
$sql = "UPDATE `users` SET `posts` = `posts` - '$c_obiav' WHERE `id` = '$user[id]'";
if (mysql_query($sql)) echo 'Обьявление сделано!<br/>';
else echo 'Произошла ошибка...<br/>';
} else {
echo $err . '<br/>';
}
}

echo '<i>Обьявление</i><br/>
	  <form method="POST" action="us_shop?do=obiav">
	  <input type="text" name="st" value="Название..."/>
	  <br/>
	  <input type="submit" name="add" value="Добавить"/>
	  </form>';
break;

case topic:
if ($user['posts'] < $c_topic) {
echo 'Недостаточно постов!<br/>';
} else {
echo '<i>Выберите комнату</i>:<br/>';
$q = mysql_query("SELECT `rm`, `name` FROM `rooms`");
while($arr = mysql_fetch_assoc($q)) {
echo '<a href="us_top?rm='.$arr['rm'].'">'.$arr['rm'].'. '.$arr['name'].'</a><br/>';
}
}
break;
}
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>